classification
Title: In MSI/EXE installer, allow installing Python modules in free path
Type: Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, cool-RR, eric.araujo, jkloth, loewis, tarek
Priority: normal Keywords:

Created on 2011-09-05 01:24 by cool-RR, last changed 2014-03-13 20:07 by eric.araujo. This issue is now closed.

Messages (6)
msg143503 - (view) Author: Ram Rachum (cool-RR) * Date: 2011-09-05 01:24
Currently, when you use an MSI installer (and possibly also EXE) for a Python module, it automatically detects the location of your various system's Python installations. This is very convenient.

However, this can be a problem sometimes, if your Python installation doesn't conform to what's required by the installer. For example, if you want to install the module in a virtualenv:

http://serverfault.com/questions/305008/installing-compiled-python-modules-on-windows-on-a-virtual-env

The installer doesn't give you any option to manually enter a path of a Python installation, so you just can't install!

The installer's automatic Python-finding mechanism should degrade gracefully; it should offer to automatically find your Python installation, but it should allow you to bypass it and type it in yourself.
msg143612 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-09-06 15:25
Martin, what do you think about this request?
msg143637 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-09-06 17:56
I don't think it's necessary. People who want to get at the files can do an administrative installation, and put the files anywhere they like.

Therefore, I won't work on this myself; somebody would have to contribute the code. It will be difficult to allow multiple simultaneous installations into different paths, which I think the OP would want - so even if the literal request from msg143503 is satisfied, the actual issue probably remains as unimplementable.
msg143639 - (view) Author: Ram Rachum (cool-RR) * Date: 2011-09-06 17:58
Martin, what do you mean "administrative installation"?
msg143647 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-09-06 19:23
> Martin, what do you mean "administrative installation"?

That's what you get when you do "msiexec /a <foo>.msi".

http://en.wikipedia.org/wiki/Windows_Installer#Administrative_installation
msg213454 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-13 20:07
Closing per Martin’s message.
History
Date User Action Args
2014-03-13 20:07:50eric.araujosetstatus: open -> closed
versions: - Python 3.3
messages: + msg213454

components: + Distutils, - Distutils2
resolution: rejected
stage: resolved
2011-09-07 14:09:21jklothsetnosy: + jkloth
2011-09-06 19:23:41loewissetmessages: + msg143647
title: In MSI/EXE installer, allow installing Python modules in free path -> In MSI/EXE installer, allow installing Python modules in free path
2011-09-06 17:58:17cool-RRsetmessages: + msg143639
2011-09-06 17:56:43loewissetmessages: + msg143637
2011-09-06 15:25:46eric.araujosetnosy: + loewis
messages: + msg143612
2011-09-05 01:24:03cool-RRcreate